API Reference
Log In
API Reference

Create Opportunities

Create opportunities in SalesForces.
Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📖 Example Requests

Below please find the JSON body for an example request:

{
    "branch_office": "PRISMA",
    "unique_id": "af0f5052-1a42-4f13-81b0-d7ebc936cb60",
    "record_type": "01221000000E0JpAAK",
    "campaign_id": "701Dl000000aMxU",
    "identification_id": "0010204960010M",
    "email": "[email protected]",
    "cell_phone": "88888888",
    "first_name": "Bryan",
    "first_last_name": "Vargas",
    "currency": "Dolares",
    "ammount": 100,
    "data": {
        "CLI_CIF": "",
        "CLI_PrimerNombre": "Bryan",
        "CLI_SegundoNombre": "Alejandro",
        "CLI_PrimerApellido": "Vargas",
        "CLI_SegundoApellido": "Cerna",
        "CLI_NombreCompleto": "Bryan Alejandro Vargas Cerna"
    }
}

JSON response body fields:

NameDescriptionType
id_onboardingOnboarding ID generated by SalesForce.string
id_oportunityOpportunity ID generated by SalesForce.string
number_oportunityOpportunity number generated by SalesForce.string
statusStatus of the SalesForce request result.boolean

Path Params
string
enum
required
Defaults to BLCR

Description: Defines the source bank code.

Allowed:
Body Params
string
required
Defaults to PRISMA

Description: Branch of request.
Size: 30.

string
required
Defaults to af0f5052-1a42-4f13-81b0-d7ebc936cb60

Description: GUID generated to identify in SF. The submission of the creation of the opp.
Size: 15.

string
required
Defaults to 01221000000E0JpAAK

Description: Unique RecordType in SalesForces.
Size: 35.

string
required
Defaults to 701Dl000000aMxU

Description: SalesForces campaign.
Size: 35.

string
required
Defaults to 0010204960010M

Description: Customer's Identification Number.
Size: 30.

string
Defaults to [email protected]

Description: Person's e-mail address.
Size: 20.
Required for new customers.

string
Defaults to 88888888

Description: Person's cell phone number.
Size: 8.
Required for new customers.

string
Defaults to Bryan

Description: First name.
Size: 50.
Required for new customers.

string
Defaults to Vargas

Description: First last name.
Size: 50.
Required for new customers.

string
required
Defaults to Dolares

Description: Country's currency.
Size: 20.

double
required
Defaults to 100

Description: Initial amount.
Size: 16

json
required
Defaults to { "CLI_CIF": "", "CLI_PrimerNombre": "Bryan", "CLI_SegundoNombre": "Alejandro", "CLI_PrimerApellido": "Vargas", "CLI_SegundoApellido": "Cerna", "CLI_NombreCompleto": "Bryan Alejandro Vargas Cerna" }

Description: JSON with additional information to SalesForce.
Size: 300.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json